Open Bug 1745845 Opened 5 months ago Updated 12 days ago

Hovering an image with transform:scale(1.03) drastically flickers

Categories

(Core :: Graphics: WebRender, defect, P3)

x86_64
All
defect

Tracking

()

Tracking Status
firefox-esr91 --- wontfix
firefox95 --- wontfix
firefox96 --- wontfix
firefox97 --- wontfix
firefox98 --- wontfix
firefox99 --- wontfix
firefox100 --- wontfix
firefox101 --- fix-optional

People

(Reporter: jan, Assigned: hiro)

References

(Blocks 2 open bugs, Regression, )

Details

(Keywords: correctness, nightly-community, regression)

Attachments

(1 file)

Attached video av1.webm

Gnome Xwayland, Debian Testing, Intel
Screencast: mozregression --launch 2021-12-12 -a https://www.rnd.de/

MOZ_DISABLE_CONTENT_SANDBOX=1 mozregression --good 2020-01-12 --bad 2021-01-12 -a https://www.rnd.de/

17:25.10 INFO: Last good revision: d1114574b777bb00b85f73733a8bd6a78d2ad87e (2020-05-13)
17:25.10 INFO: First bad revision: a77ca5bd6b7c49099c672e103771ca2bf077cc40 (2020-05-14)
17:25.10 INFO: Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=d1114574b777bb00b85f73733a8bd6a78d2ad87e&tochange=a77ca5bd6b7c49099c672e103771ca2bf077cc40

Could this have been caused by bug 1636119, bug 1637801, bug 1637806 or bug 1332588?

Flags: needinfo?(hikezoe.birchill)

Bug 1636119 is for the old layers backend, bug 1637801 is unrelated, reverting bug 1637801 didn't fix the flicker. I am not sure about bug 1332588 yet, but it looks it's unlikely the cause.

So, the culprit is https://hg.mozilla.org/mozilla-central/rev/641d8019eb5ec1e8fe994aef4bd3509326e01a45 . I'd say bug 1332588 unwallpapered a pre-existing issue.

Flags: needinfo?(hikezoe.birchill)
Regressed by: 1332588
Has Regression Range: --- → yes

Set release status flags based on info from the regressing bug 1332588

Reproduces for me on Windows 10.

OS: Linux → All
Severity: -- → S2

Assigning to Hiro since he authored the regressing work.

Assignee: nobody → hikezoe.birchill
Blocks: wr-linux
Severity: S2 → S3
Priority: -- → P3
You need to log in before you can comment on or make changes to this bug.